public class Gebiet implements GebietInterface {
    private int jahr;
    private int schlüssel;
    private String name;
    private long gesamtEinkommen;
    private int durchschnittsEinkommen;

    public Gebiet(int jahr, int schlüssel, String name, long gesamtEinkommen, int durchschnittsEinkommen) {
        this.jahr = jahr;
        this.schlüssel = schlüssel;
        this.name = name;
        this.gesamtEinkommen = gesamtEinkommen;
        this.durchschnittsEinkommen = durchschnittsEinkommen;
    }

    @Override
    public int getJahr() {
        return jahr;
    }

    @Override
    public int getSchlüssel() {
        return schlüssel;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public long getGesamtEinkommen() {
        if (gesamtEinkommen <= 0) {
            return -1;
        }
        return gesamtEinkommen;
    }

    @Override
    public int getDurchschnittsEinkommen() {
        if (durchschnittsEinkommen <= 0) {
            return -1;
        }
        return durchschnittsEinkommen;
    }

    @Override
    public int getAnzahlEinwohner() {
        return (int) (gesamtEinkommen * 1000 / durchschnittsEinkommen);
    }

    @Override
    public String toString() {
        if (getDurchschnittsEinkommen() <= 1 || getGesamtEinkommen() <= 1) {
            return getName() + "\n" + "Einwohnerzahl unbekannt\n" + "Durchschnittseinkommen unbekannt\n";
        }
        return getName() + "\n" + getAnzahlEinwohner() + " Einwohner\n" + getDurchschnittsEinkommen()
                + " Euro / Einwohner\n";
    }
}
